glab(1)

NAME
glab-job-artifact - Download all artifacts from the most recent pipeline.

SYNOPSIS
glab job artifact [flags]

DESCRIPTION
Downloads all artifacts from the most recent successful pipeline.

<refName> is a branch name, tag, or merge request reference. For a branch or tag, use the name directly. For a merge request pipeline, replace <iid> with the merge request IID and use the format that matches the pipeline type:

•   refs/merge-requests/<iid>/head: Pipeline on the latest commit of the source branch.

•   refs/merge-requests/<iid>/merge: Pipeline on the merged result (pipelines for merged results).

OPTIONS
-l, --list-paths[=false]
    Print the paths of downloaded artifacts.

-p, --path="./"
    Path to download the artifact files.

OPTIONS INHERITED FROM PARENT COMMANDS
-h, --help[=false]
    Show help for this command.

-R, --repo=""
    Select another repository. You can use either OWNER/REPO or GROUP/NAMESPACE/REPO. The full URL or Git URL is also accepted.

EXAMPLE
    glab job artifact main build
    glab job artifact main deploy --path="artifacts/"
    glab job artifact main deploy --list-paths
    glab job artifact refs/merge-requests/123/head build
    glab job artifact refs/merge-requests/123/merge build

SEE ALSO
glab-job(1)